dpkg-statoverride(1)

NAAM
dpkg-statoverride - wijzig eigenaarschap en modus van bestanden

OVERZICHT
dpkg-statoverride [optie...] commando

BESCHRIJVING
“stat overrides” zijn een manier om aan dpkg(1) te laten weten dat het bij het installeren van een pakket een andere eigenaar of modus moet gebruiken voor een bepaald pad (dit is van toepassing op elk bestandssysteemobject dat dpkg verwerkt, met inbegrip van mappen, apparaten, enz.). Dit kan gebruikt worden om af te dwingen dat programma's die normaal setuid zijn, geïnstalleerd worden zonder een setuid-vlag of dat ze enkel uitgevoerd kunnen worden door een bepaalde groep.

dpkg-statoverride is een hulpmiddel voor het beheren van de lijst met statusaanpassingen (stat overrides). Het heeft drie basisfuncties: toevoegen, verwijderen en opsommen van aanpassingen.

COMMANDO'S

--add gebruiker groep modus pad
    Voeg een statusaanpassing toe voor pad. Het is niet nodig dat pad reeds bestaat op het ogenblik dat dit commando gebruikt wordt. De aanpassing zal opgeslagen worden en later gebruikt worden. Gebruikers en groepen kunnen bij hun naam opgegeven worden (bijvoorbeeld root of nobody), of met hun nummer door voor dat nummer een ‘#’ te plaatsen (bijvoorbeeld #0 of #65534). De modus moet als octaal getal opgegeven worden. Indien --update opgegeven wordt en pad bestaat, dan wordt dat onmiddellijk op de nieuwe eigenaar en modus ingesteld.

--remove pad
    Verwijder een statusaanpassing voor pad. De status zelf van pad wordt door dit commando niet gewijzigd.

--list [glob-patroon]
    List all overrides. If a glob pattern is specified restrict the output to overrides which match the glob.

--help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OPTIES

--admindir map
    Wijzig de map voor de dpkg-database waar ook het bestand met statusaanpassingen opgeslagen wordt. Standaard is dat /var/lib/dpkg.

--force
    Verplicht een actie, zelfs als een redelijkheidstoets die anders zou verbieden. Dit is noodzakelijk om een bestaande aanpassing (override) te wijzigen.

--update
    Tracht onmiddellijk het pad, als dat bestaat, in te stellen op de nieuwe eigenaar en modus.

--quiet
    Wees minder breedsprakig over wat er gedaan wordt.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd.

1   For --list, if there are no overrides or none match the supplied glob.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

OMGEVING

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

BESTANDEN

/var/lib/dpkg/statoverride
    Bestand dat de huidige lijst van statusaanpassingen van het systeem bevat. Het bevindt zich in de beheersmap van dpkg samen met andere bestanden die van belang zijn voor dpkg, zoals status en available.
    Opmerking: dpkg-statoverride bewaart de oude kopie van dit bestand met de extensie “-old” vooraleer het dit door het nieuwe bestand vervangt.

ZIE OOK
dpkg(1).